<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">equalizer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test.html">InMemoryEqualizerConfigurationTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test_inherit__map" id="alexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test_coll__map" id="alexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a772358ddb399d7d0996f267d61cb97db"><td class="memItemLeft" align="right" valign="top">std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">EqualizerBand</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test.html#a772358ddb399d7d0996f267d61cb97db">getDefaultBands</a> ()</td></tr>
<tr class="memdesc:a772358ddb399d7d0996f267d61cb97db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a set of bands to assumed to be supported by default.  <a href="#a772358ddb399d7d0996f267d61cb97db">More...</a><br /></td></tr>
<tr class="separator:a772358ddb399d7d0996f267d61cb97db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f7583532825de110de2a76ebefae3e5"><td class="memItemLeft" align="right" valign="top">std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">EqualizerMode</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test.html#a9f7583532825de110de2a76ebefae3e5">getDefaultModes</a> ()</td></tr>
<tr class="memdesc:a9f7583532825de110de2a76ebefae3e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a set of modes to assumed to be supported by default.  <a href="#a9f7583532825de110de2a76ebefae3e5">More...</a><br /></td></tr>
<tr class="separator:a9f7583532825de110de2a76ebefae3e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a176effab747c6f37b8d2317dd0c6e2f2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">EqualizerState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test.html#a176effab747c6f37b8d2317dd0c6e2f2">getDefaultState</a> ()</td></tr>
<tr class="memdesc:a176effab747c6f37b8d2317dd0c6e2f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an equalizer state to assumed to be supported by default.  <a href="#a176effab747c6f37b8d2317dd0c6e2f2">More...</a><br /></td></tr>
<tr class="separator:a176effab747c6f37b8d2317dd0c6e2f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a2717039250684e573e615182abde079e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_in_memory_equalizer_configuration_test.html#a2717039250684e573e615182abde079e">m_configuration</a></td></tr>
<tr class="memdesc:a2717039250684e573e615182abde079e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equalizer configuration used in tests.  <a href="#a2717039250684e573e615182abde079e">More...</a><br /></td></tr>
<tr class="separator:a2717039250684e573e615182abde079e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test fixture for <code><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a></code> tests. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a772358ddb399d7d0996f267d61cb97db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a772358ddb399d7d0996f267d61cb97db">&#9670;&nbsp;</a></span>getDefaultBands()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">EqualizerBand</a> &gt; alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest::getDefaultBands </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a set of bands to assumed to be supported by default. </p>

</div>
</div>
<a id="a9f7583532825de110de2a76ebefae3e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f7583532825de110de2a76ebefae3e5">&#9670;&nbsp;</a></span>getDefaultModes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">EqualizerMode</a> &gt; alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest::getDefaultModes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a set of modes to assumed to be supported by default. </p>

</div>
</div>
<a id="a176effab747c6f37b8d2317dd0c6e2f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a176effab747c6f37b8d2317dd0c6e2f2">&#9670;&nbsp;</a></span>getDefaultState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">EqualizerState</a> alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest::getDefaultState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns an equalizer state to assumed to be supported by default. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a2717039250684e573e615182abde079e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2717039250684e573e615182abde079e">&#9670;&nbsp;</a></span>m_configuration</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a>&gt; alexaClientSDK::equalizer::test::InMemoryEqualizerConfigurationTest::m_configuration</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Equalizer configuration used in tests. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/EqualizerImplementations/test/<a class="el" href="_in_memory_equalizer_configuration_test_8cpp.html">InMemoryEqualizerConfigurationTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
